<div class="row justify-content-between">
    <div class="col">
        <h3 class="display-5">Edit User</h3>
    </div>
    <div class="col-auto">
        <button type="button" class="btn btn-primary" (click)="saveUser(userForm)"
            [disabled]="!userForm.form.valid">Save</button>&nbsp;
        <button type="button" class="btn btn-warning" routerLink="/admin/users">Cancel</button>&nbsp;
    </div>
</div>
<hr />

<div class="row">
    <div class="col">
        <form #userForm="ngForm" style="border: 1px solid #e9ecef; padding: 1rem; background: beige;">
            <div class="row align-items-center">
                <div class="col">
                    <label class="" for="login">Login </label>
                    <input type="text" class="form-control" id="login" value="{{user.email}}" readonly />
                </div>

                <div class="col">
                    <label class="" for="user-id">ID</label>
                    <input type="text" class="form-control" id="user-id" name="id" placeholder="99"
                        [(ngModel)]="user.id" readonly />
                </div>
                <div class="col-auto">
                    <label class="" for="user-active">Status</label>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="user-status" name="active"
                            #userActiveCheckbox [checked]="user.active===1? true : false"
                            (change)="onClickUserActiveCheckbox(userActiveCheckbox.checked)" />
                        <label style="font-weight: normal" class="custom-control-label" for="user-status">Active</label>
                    </div>
                </div>
            </div>
            <br>
            <div class="row align-items-center">
                <div class="col">
                    <label class="" for="first-name">First Name </label>
                    <input type="text" class="form-control" id="first-name" name="name" placeholder="Funsuk"
                        [(ngModel)]="user.name" />
                </div>
                <div class="col">
                    <label class="" for="last-name">Last Name </label>
                    <input type="text" class="form-control" id="last-name" name="lastName" placeholder="Wangdu"
                        [(ngModel)]="user.lastName" />
                </div>
                <div class="col">
                    <label class="" for="email">Email </label>
                    <input type="text" class="form-control" id="email" name="email" placeholder="someone@corpmail.com"
                        value="{{user.email}}" readonly />
                </div>
            </div>
            <br />
            <div class="row justify-content-start">
                <div class="col">
                    <label class="" for="user_role_list">Roles</label>
                    <div class="col" *ngFor="let role of roleList; let i = index;">
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" id="role{{role.role}}"
                                name="role_{{role.role}}" [checked]="isUserRole(role.id)"
                                (change)="onClickUserRoleCheckbox(i, $event)" />
                            <label style="font-weight: normal" class="custom-control-label"
                                for="role{{role.role}}">{{role.role}}</label>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
Testing form: {{diagnostic(userForm.value)}}
Testing user: {{diagnostic(user)}}
<br />
<div class="row">
    <div class="col">
        <nav>
            <div class="nav nav-tabs" id="nav-tab" role="tablist">
                <a class="nav-item nav-link active" id="nav-members-tab" data-toggle="tab" href="#nav-members"
                    role="tab" aria-controls="nav-home" aria-selected="true">Users</a>
                <a class="nav-item nav-link" id="nav-workshift-tab" data-toggle="tab" href="#nav-workshift" role="tab"
                    aria-controls="nav-workshift" aria-selected="false">Workshift</a>
                <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-contact" role="tab"
                    aria-controls="nav-contact" aria-selected="false">Contact</a>
            </div>
        </nav>
        <div class="tab-content" id="nav-tabContent" style="padding-top:1.5em;">
            <div class="tab-pane fade show active" id="nav-members" role="tabpanel" aria-labelledby="nav-members-tab">
                <div class="float-left">
                    <button id="edit-members" class="btn btn-outline-primary btn-sm">
                        Edit
                    </button>
                </div>
                <br /><br />
                <table class="table table-hover table-sm">
                    <thead class="thead-dark">
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">ID</th>
                            <th scope="col">First</th>
                            <th scope="col">Last</th>
                            <th scope="col">Email</th>
                            <th scope="col">Profile Status</th>
                        </tr>
                    </thead>
                    <tbody id="members-table">
                        <tr th:if="${members.empty}">
                            <td colspan="2">No members</td>
                        </tr>
                        <tr th:each="user : ${members}" th:id="${user.id}">
                            <th scope="row"><span th:text="${userStat.count}">999</span></th>
                            <td class="group-member-id">
                                <span th:text="${user.id}"> ID </span>
                            </td>
                            <td><span th:text="${user.name}"> Name </span></td>
                            <td><span th:text="${user.lastName}"> Lastname </span></td>
                            <td><span th:text="${user.email}">Email</span></td>
                            <td>
                                <span th:text="(${user.active} == 1 ? 'Active' : 'Inactive')">Active</span>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="tab-pane fade" id="nav-workshift" role="tabpanel" aria-labelledby="nav-workshift-tab">
                Second Tab content
            </div>
            <div class="tab-pane fade" id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">
                Third tab content
            </div>
        </div>
    </div>
</div>


<app-infomodal [message]="modalMessage" [isSuccess]="isSuccess"></app-infomodal>